com.tibbo.aggregate.common.expression.function.context

## Class CallFunctionExFunction

- java.lang.Object
- - com.tibbo.aggregate.common.expression.function.AbstractFunction
  - - com.tibbo.aggregate.common.expression.function.context.CallFunctionFunction
    - - com.tibbo.aggregate.common.expression.function.context.CallFunctionExFunction

- All Implemented Interfaces:
    Function

      public class CallFunctionExFunction
      extends CallFunctionFunction

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.expression.function.context.CallFunctionFunction

      `minimalCount`

    - ### Fields inherited from interface com.tibbo.aggregate.common.expression.Function

      `ABSOLUTE, EXPRESSION_EDITOR_OPTIONS, GROUP_COLOR_PROCESSING, GROUP_CONTEXT_RELATED, GROUP_DATA_BLOCK_PROCESSING, GROUP_DATA_TABLE_PROCESSING, GROUP_DATE_TIME_PROCESSING, GROUP_MATH, GROUP_NUMBER_PROCESSING, GROUP_OTHER, GROUP_STRING_PROCESSING, GROUP_SYSTEM, GROUP_TYPE_CONVERSION, HAS_RESOLVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallFunctionExFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructInputTable(java.util.List<java.lang.Object> input, FunctionDefinition fd, Evaluator evaluator)`
    `protected Pair<Context,CallerController>` | `resolveContext(java.lang.Object[] parameters, java.lang.String contextPath, Evaluator evaluator)`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.context.CallFunctionFunction

      `execute`

    - ### Methods inherited from class com.tibbo.aggregate.common.expression.function.AbstractFunction

      `checkAndGetNumericTypeField, checkNumericTypeField, checkParameters, checkParameterType, executeAttributed, executeTasks, getCategory, getDescription, getName, getParametersFootprint, getReturnValue, resolveContext, resolveContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallFunctionExFunction

          public CallFunctionExFunction()

  - ### Method Detail

    - #### constructInputTable

          protected DataTable constructInputTable(java.util.List<java.lang.Object> input,
                                                  FunctionDefinition fd,
                                                  Evaluator evaluator)
                                           throws SyntaxErrorException,
                                                  DataTableException,
                                                  EvaluationException

      Overrides:
        `constructInputTable` in class `CallFunctionFunction`
      Throws:
        `SyntaxErrorException`
        `DataTableException`
        `EvaluationException`

    - #### resolveContext

          protected Pair<Context,CallerController> resolveContext(java.lang.Object[] parameters,
                                                                  java.lang.String contextPath,
                                                                  Evaluator evaluator)
                                                           throws EvaluationException

      Overrides:
        `resolveContext` in class `CallFunctionFunction`
      Throws:
        `EvaluationException`